package com.ywt.domain.entity.center;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.io.Serializable;
import java.util.Date;

/**
 * 地区管理表
 */
@Entity
@Table(name = "area")
public class Area implements Serializable {
  private static final long serialVersionUID = 1L;

  /**
   * 主键id
   */
  @Id
  @Column(name = "id", insertable = false, nullable = false)
  private Integer id;

  /**
   * 地区名称
   */
  @Column(name = "name", nullable = false)
  private String name;

  /**
   * 等级
   */
  @Column(name = "level", nullable = false)
  private Integer level = 0;

  /**
   * 权重，权重越大越靠前
   */
  @Column(name = "weight", nullable = false)
  private Integer weight = 0;

  /**
   * 是否为常用地区，1-是，0-否，默认为0
   */
  @Column(name = "status", nullable = false)
  private Integer status = 0;

  /**
   * 父级id，默认为0，表示最上级
   */
  @Column(name = "parent_id", nullable = false)
  private Integer parentId = 0;

  /**
   * 创建时间
   */
  @Column(name = "create_time", nullable = false)
  private Date createTime;

  /**
   * 修改时间
   */
  @Column(name = "update_time", nullable = false)
  private Date updateTime;

  /**
   * 0-不显示，1-显示，默认不显示
   */
  @Column(name = "display", nullable = false)
  private Integer display = 0;

  /**
   * 主键id
   */
  public Integer getId() {
    return id;
  }

  /**
   * 主键id
   */
  public void setId(Integer id) {
    this.id = id;
  }

  /**
   * 地区名称
   */
  public String getName() {
    return name;
  }

  /**
   * 地区名称
   */
  public void setName(String name) {
    this.name = name;
  }

  /**
   * 等级
   */
  public Integer getLevel() {
    return level;
  }

  /**
   * 等级
   */
  public void setLevel(Integer level) {
    this.level = level;
  }

  /**
   * 权重，权重越大越靠前
   */
  public Integer getWeight() {
    return weight;
  }

  /**
   * 权重，权重越大越靠前
   */
  public void setWeight(Integer weight) {
    this.weight = weight;
  }

  /**
   * 是否为常用地区，1-是，0-否，默认为0
   */
  public Integer getStatus() {
    return status;
  }

  /**
   * 是否为常用地区，1-是，0-否，默认为0
   */
  public void setStatus(Integer status) {
    this.status = status;
  }

  /**
   * 父级id，默认为0，表示最上级
   */
  public Integer getParentId() {
    return parentId;
  }

  /**
   * 父级id，默认为0，表示最上级
   */
  public void setParentId(Integer parentId) {
    this.parentId = parentId;
  }

  /**
   * 创建时间
   */
  public Date getCreateTime() {
    return createTime;
  }

  /**
   * 创建时间
   */
  public void setCreateTime(Date createTime) {
    this.createTime = createTime;
  }

  /**
   * 修改时间
   */
  public Date getUpdateTime() {
    return updateTime;
  }

  /**
   * 修改时间
   */
  public void setUpdateTime(Date updateTime) {
    this.updateTime = updateTime;
  }

  /**
   * 0-不显示，1-显示，默认不显示
   */
  public Integer getDisplay() {
    return display;
  }

  /**
   * 0-不显示，1-显示，默认不显示
   */
  public void setDisplay(Integer display) {
    this.display = display;
  }

  public String toString() {
    return "Area{id=" + id + 
      ", name=" + name + 
      ", level=" + level + 
      ", weight=" + weight + 
      ", status=" + status + 
      ", parentId=" + parentId + 
      ", createTime=" + createTime + 
      ", updateTime=" + updateTime + 
      ", display=" + display + 
      "}";
  }
}